Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface ITrackableInstance

All Known Implementing Classes:
  BomInstance

public interface ITrackableInstance

This interface allows common operations to be performed on delta instances, even if they are restored as DISCONTINUED or if they are SPOOFED

Field Summary
`static int` | `EDITABLE`
`static int` | `EXTENDED_PASSIVE`
`static int` | `IMMEDIATE_PASSIVE`
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`
`static int` | `SPOOFED`

Method Summary
`oracle.apps.cz.cio.Configuration` | `getConfiguration()`
`long` | `getHeaderId()`
`long` | `getInstalledRevision()`
`long` | `getLastSavedRevision()`
`int` | `getLoadStatus()`
`java.lang.String` | `getName()`
`long` | `getRevision()`
`long` | `getRootConfigItemId()`
`com.sun.java.util.collections.List` | `getUnsatisfiedRuleMessages()`
`boolean` | `hasUnsatisfiedRules()`
`boolean` | `isEditable()`
`boolean` | `isLoaded()`
`void` | `updateLastSavedRevision()`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### SPOOFED

    public static final int SPOOFED

### EXTENDED_PASSIVE

    public static final int EXTENDED_PASSIVE

### IMMEDIATE_PASSIVE

    public static final int IMMEDIATE_PASSIVE

### EDITABLE

    public static final int EDITABLE

Method Detail

### getLoadStatus

    public int getLoadStatus()

### isEditable

    public boolean isEditable()

### isLoaded

    public boolean isLoaded()

### getHeaderId

    public long getHeaderId()

### getRevision

    public long getRevision()

### getInstalledRevision

    public long getInstalledRevision()

### getName

    public java.lang.String getName()

### getRootConfigItemId

    public long getRootConfigItemId()

### getConfiguration

    public oracle.apps.cz.cio.Configuration getConfiguration()

### getUnsatisfiedRuleMessages

    public com.sun.java.util.collections.List getUnsatisfiedRuleMessages()

### hasUnsatisfiedRules

    public boolean hasUnsatisfiedRules()

### getLastSavedRevision

    public long getLastSavedRevision()

### updateLastSavedRevision

    public void updateLastSavedRevision()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.